using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Posechaemost.Data.LocalData.Entity;

namespace Posechaemost.Data.Repository {
    public interface IGroupRepository
    {
        List<GroupLocalEntity> GetAllGroup();
        bool RemoveGroupById(int groupID);
        bool UpdateGroupById(int groupID, String name);
        GroupLocalEntity GetGroupById(int groupID);
        bool AddGroup(String name, String id);
        List<GroupLocalEntity> GetAllGroups();
    }
}