using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Posechaemost.Data.LocalData.Entity;

namespace Posechaemost.Data.Repository {
    public interface IUserRepository
    {
        List<UserLocalEntity> GetAllUser();
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEntity? GetUserByGuid(Guid userGuid);
        UserLocalEntity? UpdateUser(UserLocalEntity userUpdateLocalEnity);
        UserLocalEntity? UpdateUserByGuid(Guid userGuid);
    }
}