using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Posechaemost.Data.LocalData.Entity;
using Posechaemost.Domain.Models;

namespace Posechaemost.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetPresenceByGroup(int groupId);
        List<PresenceLocalEntity> GetPresenceByGroupAndDate(int groupId, DateOnly date);
        bool UncheckAttendence(PresenceLocalEntity presence);
        void AddPresence(PresenceLocalEntity presence);

    }
}